import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, i = (p, l, r, t) => {
  for (var e = t > 1 ? void 0 : t ? u(l, r) : l, s = p.length - 1, c; s >= 0; s--)
    (c = p[s]) && (e = (t ? c(l, r, e) : c(e)) || e);
  return t && e && m(l, r, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--localHeroFilled", this.class = "c-pieIcon c-pieIcon--localHeroFilled", this.name = "IconLocalHeroFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--localHeroFilled"><path d="M11.8 1.31c.29 0 .571.1.794.283l.091.083 1.831 1.832a1.25 1.25 0 0 1 .064 1.7l-5.725 6.64a1.25 1.25 0 0 1-1.896-.003l-5.694-6.65a1.25 1.25 0 0 1 .041-1.67L3.028 1.7l.093-.089c.226-.194.515-.302.815-.302z"></path><path d="M12.95 12.92c0 1.43-2.6 2.08-5.021 2.08s-5.022-.65-5.022-2.08c0-.78.769-1.316 1.808-1.644l.819.853c-1.12.27-1.622.635-1.622.79 0 .266 1.38 1.04 4.017 1.04 2.636 0 4.017-.774 4.017-1.04 0-.155-.502-.52-1.622-.79l.819-.853c1.04.328 1.808.863 1.808 1.643"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  f("icon-local-hero-filled")
], o);
export {
  o as IconLocalHeroFilled
};
